Drill Dataset

Drill a gridded dataset at a given latitude and longitude along the time axis for a given variable or variables

  • If no variables are provided, all variables in the dataset will be returned. To obtain a list of variables in the dataset, see the /resources/:rid endpoint.
  • Results are returned in natural order by default, however, the direction parameter can be used to reverse the order of the results
  • Limits and offsets can be used to paginate the results (default limit is 10 and max limit is 1000)

Constraints:

  • Only resources of type ern:e-pn.io:schema:block or ern:e-pn.io:schema:dataset are supported and must offer a gridded interface.
  • The dataset resource must have a recognised time property to drill on. Supported property names are ['time']
  • The dataset resource must have a recognised latitude and longitude property to drill on. Supported property names are ['lat', 'latitude', 'Latitude'] and ['lon', 'longitude', 'Longitude']
  • The start date must be before the end date if both are provided and in ISO8601 format
  • The latitude must be between -90 and 90 degrees and the longitude must be between -180 and 180 degrees inclusive.
  • The latitude and longitude must be within the bounds of the dataset

Returns:

  • A timeseries along the time axis for the given latitude and longitude with the requested variables

Example:

GET /drill?resourceId=eratos.blocks.silo.maxtemperature&variable=max_temp&latitude=-37.8&longitude=144.95&start=2024-08-23&end=2024-08-24
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID or ERN of the resource to extract data from. This supports gridded resources of type ern:e-pn.io:schema:block or ern:e-pn.io:schema:dataset

number
required
-90 to 90

A single latitude coordinate of the drill location

number
required
-180 to 180

A single longitude coordinate of the drill location

string

Comma separated list of variables to extract from the dataset, e.g. 'temperature,pressure'

string

The inclusive starting timestamp in ISO8601 format

string

The inclusive end timestamp in ISO8601 format

integer
enum
-1 to 1
Defaults to 1

Return the results along the time axis in a forward (1) or or reverse (-1) direction.
When direction=-1 it has the effect of reversing the order of the returned results by starting from the opposite end of the time dimension returning results in reverse order.
For monotonically increasing or decreasing time, results will be returned in ascending or descending order depending of the natural order of the dataset.

Allowed:
integer
1 to 1000
Defaults to 10

Limit the number of results returned (max 1000)

integer
≥ 0
Defaults to 0

Skip the first N results. This is useful for pagination of results

Responses

400

Bad Request

404

Not Found

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json